#ifndef _SETUP_H
#define _SETUP_H

#include <QDialog>
#include <QFileDialog>

QT_BEGIN_NAMESPACE
class QLabel;
QT_END_NAMESPACE

namespace Ui {
class Setup;
}

class Setup : public QDialog
{
    Q_OBJECT

public:
    explicit Setup(QWidget *parent = nullptr);
    ~Setup();
    bool loadFile(const QString &);

signals:
    void firstWindow();

private slots:
    void on_openButton_clicked();
    void on_quitButton_clicked();
    void on_saveButton_clicked();
    void is_changed();

private:
    Ui::Setup *ui;
    QByteArray logoByteArray;
    QImage image;
    double scaleFactor = 1;

    void setImage(const QImage &newImage);
    bool fieldIsChanged = false;
};

#endif
